Úvod k programu Rozpočty 800

Úvod k programu Rozpočty 850 (WinRZP850)

Původní databázově orientovaný program je určený pro

projektanty a stavební firmy.

Program umožňuje efektivním způsobem vytvářet rozpočty stavebních prací - PSV, HSV.

Sestava rozpočtu se provádí výběrem z připravených materiálových oddílů, rozdělených podle ceníkových položek.

Ovládání programu je řízeno z roletového menu, dialogových a editačních oken ve stylu "Windows". Výběr konkrétní činnosti je prováděn myší, lze však použít i kurzorové klávesy. Každá činnost je vybavena bublinkovou a kontextovou nápovědou.

Tvorba rozpočtu

Rozpočet je prováděn formou nabídky položek po jednotlivých oddílech s následnou možností editace a úpravy textu, ceny i množství materiálu v zakázce. Program průběžně zpracovává rekapitulaci v podobě součtové tabulky, umožňuje vytisknout rozpočet zvoleného oddílu, všech oddílů, výsledné rekapitulace i součtové tabulky. Všechny zakázky se archivují, s možností pozdější libovolné úpravy a doplnění. Jednoduše lze realizovat varianty zakázky pouhým kopírováním a dalším doplněním z nabídky materiálových položek. Oddíly materiálu lze průběžně doplňovat, rušit a měnit ceny formou indexů. Ceny v konkrétní zakázce je možné také indexovat.

Program je nainstalován na zvolený disk a instalace vytvoří následující strukturu podle obrázku. Na zvoleném disku (nejlépe C:\) se vytvoří adresářová struktura . Do ní se nakopírují potřebné soubory vlastního programu. Současně se ve Windows adresářích registruje prostředí VisualFoxPro tak, aby program byl samostatně spustitelný. Do podadresářů ZAKAZKY a ODDILY se nakopírují vzorové příklady zakázek a oddílů. Jejich cenové relace jsou fiktivní a neodpovídají současným cenám.

.


Hlavní okno programu WinRZP800

Hlavní okno programu WinRZP850

Hlavní okno programu se aktivuje bezprostředně po spuštění programu.

Přivítá nás standardní okno známé ze všech programů určených pro prostředí Windows, kde v horní části je nabídka činnosti - menu programu.

Jednotlivé nabídky menu bezprostředně řídí činnost programu tím, že si je uživatel zvolí.

V nabídce Zakázky jsou funkce, pracující se souborem zakázky.

V nabídce Oddíly jsou funkce, pracující s oddíly (seznamem materiálu v oddílech).

Nabídka Výběr oddílu slouží pro výběr oddílu s materiálem.

Nabídka Zpracování zakázky jsou funkce pracující s materiálem v aktuální zakázce.

Nabídka Parametry nabízí doplňkové funkce pro práci s programem, jeho nastavováním, doplňováním oddílů a pod.

V nabídce Systém je mimo funkce ukončení programu zpřístupněna nápověda k programu a informační okno o programu.

Vlevo pod nabídkou programu je umístněna lišta tzv. rychlého výběru činnosti - rychlé menu.

Klepnutím na plochu programu (tmavošedé pozadí) se zobrazí lokální nabídka, z které lze nejčastěji používané funkce vybírat.

Pro vyvolání požadované funkce lze použít i klávesy F1 až F8 (F12).

V okně lze zobrazit také dvě informační okna, hlavičku aktuální zakázky a okno se součty cen v zakázce.


Hlavička zakázky

Okno poskytuje základní informace o aktuální zakázce, jako je název zakázky, zakázkové číslo, objekt a místo realizace zakázky a datum zavedení zakázky.

Poklepáním na šedé pozadí okna se otevře editační okno zakázky pro úpravu údajů v tomto okně.

Okno lze zobrazit / skrýt s použitím nabídky [image] v tzv. rychlém menu programu.


Rychle menu programu

Rychlé menu programu

Nabídka Rychlé menu umožní zobrazit (nebo i skrýt ) ovládací řádek rychlého menu, z něhož je možné velmi rychle přistupovat k vybraným funkcím programu.

 | Ovladač pro založení nové zakázky
 | Ovladač pro otevření existující zakázky
 | Ovladač pro uložení aktivní zakázky do nové zakázky
 | Dvoustavový ovladač pro otevření/zavření okna s informacemi o zakázce - hlavička zakázky.
 | Ovladač pro otevření aktivní zakázky s vybraným materiálem jen z aktivního oddílu
 | Ovladač pro otevření aktivní zakázky s veškerým materiálem
 | Dvoustavový ovladač pro otevření/zavření okna se součty cen materiálu v zakázce
 | Ovladač pro zobrazení okna pro výběr oddílu
 | Ovladač pro zobrazení okna pro výběr materiálu z aktivního oddílu do zakázky
 | Ovladač pro zobrazení okna tiskových výstupů aktivní zakázky
 | Otevření okna kontextové nápovědy (shodné s klávesou F1) v libovolném okně programu.
Zobrazuje číslo uživatele při provozu v síti, poklepáním na prostor textu se zobrazí okno, kde bude vidět aktuální stav připojení všech uživatelů k programu.
 | Ukončení programu.


Založení nové zakázky

Při založení nové zakázky se zvolí název zakázky. doporučuje se používat kratších názvů bez znaku mezera. Následně se otevře okno editace hlavičky zakázky, kde se definují základní údaje o zakázce a velikosti přesunu hmot. Tím je zakázka zavedena a je možné ji naplňovat údaji z vybraných oddílů.

K založení nové zakázky je možné použít ikonu [image] z tzv. rychlého menu.


Otevření existující zakázky

Otevření existující zakázky - historie otevřených zakázek

Všechny zakázky se automaticky archivují (většinou v adresáři Zakazky) již v okamžiku jejího zavedení. Lze se tedy vracet k uloženým zakázkám a otevřít je pro aktuální práci. Program uchovává seznam posledních 8-mi otevřených zakázek v dolní části roletového menu Zakázka.

K otevření existující zakázky je možné použít ikonu [image] z tzv. rychlého menu.


Kopie dat zakázky

Kopie dat zakázky - Uložit jako ...

Tato nabídka umožňuje vytvořit kopii všech údajů v aktivní zakázce. Tím je dána možnost variantního větvení zakázky. Aktivní zakázkou se stává zakázka uložená pod novým jménem, původní zakázka je nezměněna.

Tuto funkci je možné najít jak v menu Zakázka, tak i v menu Parametry, kde zůstává z historického důvodu (obdoba ovládání z DOS verze programu.

K vytvoření kopie zakázky je možné použít také ikonu [image] z tzv. rychlého menu.


Výběr oddílu s materiálem

V oddílech jsou uloženy veškeré údaje o typu a cenách materiálu. Z těchto oddílů se pak provádí výběr konkrétních položek do tvořené zakázky, přičemž se přitom určuj e i množství. Základní třídění do oddílů je provedeno podle materiálových tříd a není povolené jejich zdvojování. Také není povoleno zdvojovat názvy oddílů.

Program vždy pracuje s aktuálním oddílem, jehož název je uveden v okně hlavičky zakázky. Výběr oddílu se provádí dvojklikem na jeho název a potvrzením ovladače Potvrdit výběr.

V menu PARAMETRY je k dispozici nabídka Změny v oddílech, která v další nabídce umožňuje pohodlnou práci s údaji v oddílech. Je možné přidávat, aktualizovat, rušit, třídit a editovat oddíly.


Indexace oddílu

Ceny v každém zavedeném oddílu v programu Rozpočty je možné upravit s pomocí indexu.

Indexace cen v oddílu provádí změny ceny ve vybraném oddílu podle hodnoty koeficientu a vybraného parametru indexu (ceníková položka, jen PC, všechno).

Program eviduje všechny provedené indexace všech oddílů, aby bylo možné vrátit zpět index některého z oddílů. Komentář, který můžete zapsat do editačního pole před provedením indexace Vám umožní lepší orientaci v historii prováděných indexací cen.

Pro vrácení cen materiálu na původní hodnotu stačí vybrat dvojklikem v historii indexů položku a následně potvrdit tlačítko Vrátit index.


Tisk sestav

Tisk sestav rozpočtu

Celý rozpočet je možné vytisknout v několika formulářích.

Krycí list - rekapitulace - obsahuje veškeré informace o zakázce a pak pouze celkové součty z oddílů.
Všech obsazených oddílů - oddíly, které jsou zastoupeny v zakázce budou tisknuty samostatně vždy od nové stránky.
Součtové tabulky - obsahují přehled cen v zakázce po oddílech s rozepsáním ceny za přesun hmot, přičemž lze zvolit, zda chcete vytisknout i neobsazené oddíly.
Formulář v oddílech můžete zvolit s cenami, nebo bez cen (ty jsou při tisku vynechány).

Volby - ovladače:

Tisknout včetně zrušených položek - vytiskne se vše, co je v zakázce, včetně materiálu označeného ke zrušení.

Do souborů - zakázka může být exportována do několika formátů, do HTML, do Wordu, PDF formátu či Excelu.

Tisknout aktuální datum tisku - zvolíte zda ano, případně upravíte zobrazené datum tisku.

Tisknout celý rozpočet - vytiskne se najednou celý rozpočet (Rekapitulace, oddíly, součtová tabulka).

Vybraný formulář je možné nejen tisknout, ale můžete si jej nejprve zobrazit na obrazovce jako náhled tlačítko Ukázat.


Náhled tiskové sestavy

Tiskovou sestavu je možné prohlížet v tzv. náhledu, jehož výhodou je (oproti DOS verzi) možnost pohybování se po stránkách náhledu oběma směry.

K ovládání slouží rychlá nabídka pro náhled, která se zobrazí v okamžiku otevření náhledu a je možné ji uchopit a uložit vedle rychlého menu programu).

Popis ovládacích prvků:

posun po stránkách - vpravo / vlevo
posun na začátek / konec sestavy
posun na zadanou stránku
okénko velikosti - výběrem můžete zmenšit, zvětšit velikost náhledu
ukončení náhledu sestavy
vytištění sestavy na aktuální tiskárně


Tisk rozpočtu do HTML formátu

Pokud potřebujeme zaslat výsledný rozpočet e-mailem, je možné "vytisknout" celý rozpočet do souborů formátu HTML
Každý formulář, tj. rekapitulace, obsazené oddíly i součtová tabulka bude tisknuta do samostatného souboru HTML jehož základní název nadefinujete v okně Základní název souboru, přičemž můžete určit, zda se patřičný formulář bude generovat zaškrtnutím ovladače [image].

POZOR!

Konkrétní názvy souborů HTML však budou rozšířeny takto:
Rekapitulace se uloží do souboru s názvem: NAZEV_Rekap.HTM.
Oddíly se postupně uloží do souborů s názvy: NAZEV_O_"oddíl".HTM
Součtová tabulka bude uložena do souboru s názvem: NAZEV_Suma.HTM

Jako rozšiřující modul k programu WinRZP800 lze zakoupit funkce exportů do formátů, do HTML, do Wordu, PDF formátu či Excelu.


Export projektu do dalších typů souborů

Prostředí Windows je předurčeno pro práci s daty v různých formátech. Také rozpočtový program WinRZP850 byl doplněn funkcemi pro export zhotovených rozpočtů do jiných programů. Mimo exportu do formátu HTML (Internet Explorer), který je součástí základní instalace programů, je možné doplnit program moduly pro export do následujících prostředí:

Export do Wordu verze 2000 a vyšší (*.DOC) Generovaný jediný textový soubor vypadá tak, jako je vzhled tiskových výstupů Rekapitulace, Oddílů a Součtové tabulky. Jednotlivé položky, popisy a nadpisy lze editovat a upravovat. V tomto souboru se neprovádí žádné součty v exportovaných tabulkách. Tisk do formátu "wordu" je proveden do formátovaných textových bloků, nejde tedy o souvislý text, jako když se píše v běžném textovém editoru. | Stažení souboru s příkladem
Export do Acrobat Readeru (*.PDF - Print Dokument File) Generovaný jediný NEEDITOVATELNÝ PDF soubor vypadá tak, jako je vzhled tiskových výstupů Rekapitulace, Oddílů a Součtové tabulky. Soubor je však ukládán v komprimované podobě a tudíž je nejmenší ze všech generovaných exportů. Je proto nejvhodnější pro zasílání e-mailem. Navíc má i tu výhodu, že příjemce nemůže v dokumentu nic měnit. | Stažení souboru s příkladem
Export do Excelu (*.XLS) Export je proveden tak, že Rekapitulace, jednotlivé obsazené oddíly a Součtová tabulka jsou uloženy v samostatných listech v podobě tabulky. Vzhledem k tomu, že jde o tabulkový procesor, je zde připravena možnost dodatečné editace údajů s tím, že číselné údaje jsou následně "propočítány" tak, aby všechny výpočty na listu oddílu byly správně aktualizovány (včetně změn HR a PH v patičce formuláře). Přenosy takto upravených výsledků do rekapitulace a Součtové tabulky není proveden. | Souboru s příkladem bude k dispozici v květnu


Výběr materiálu z oddílu do zakázky

Materiál z oddílu se vybírá svislým pohybem v tabulce a to buď potvrzením klávesou ENTER nebo kliknutím na ovladač Přepis materiálu do zakázky. Kliknutím na nadpis sloupců Název materiálu nebo Ceník.pol. se materiál v tabulce setřídí. Pro zpětné nastavení nesetříděného materiálu použijte ovladač Netřídit v levém horním rohu okna.

Pro zrychlení výběru jen části údajů v nabídce materiálu je možné nastavit tzv. filtr - předvýběr. Část vyhledávaného textu resp.ceníkové položky se zapisuje do editačního prostoru pro vložení filtrační podmínky. Při stanovování filtru je nutné vložit dostatečně obecný text podmínky, aby bylo možné výběr provádět. Nevkládejte proto žádné mezery a volte správně velká a malá písmena. Vyhledává se existující výskyt zapsaných znaků kdekoliv v obou částech textu a ceníkové položce. Zrušení filtru se provede kliknutím na ovladač.


Přepis vybraného materiálu do zakázky

Okno ukazuje veškeré údaje o vybraném materiálu, který chcete zapsat do zakázky. Běžně se určí jen množství materiálu a je možné materiál do zakázky přepsat přímo.

Pokud budete potřebovat upravit text, cenu či jiné údaje, je možné přes ovladač Editace údaje toto okno rozšířit o další ovladače a současně zpřístupnit všechna editační pole pro opravy.

Nyní je možné si vybrat činnost a následně potvrdit ovladač Provést.


Prohlížení a editace zakázky

Materiál v aktivní zakázce lze prohlížet a upravovat (editovat). Pro tyto úpravy jsou k dispozici dvě různé nabídky činnosti. PROHLÍŽENÍ materiálu zakázky umožňuje prohlížet a editovat materiál vybraný z aktivního oddílu. EDITACE materiálu zakázky umožňuje prohlížet a editovat veškerý materiál v zakázce. V obou případech lze upravovat libovolné údaje mimo názvu oddílu.

Odstranění materiálu ze zakázky se provádí kliknutím vlevo na bílý obdélníček rušeného řádku, čímž zčerná a celý řádek se podbarví zeleně. Obnova zrušeného materiálu se provede obdobně, kliknutím na černý obdélníček, čímž zbělá a řádek zbělá také.

Práce se záznamy - materiálem je podporován v nabídce Záznam. Údaje můžete Kopírovat - kopíruje se aktivní řádek materiálu, to je ten kde je kurzor, můžete přidávat prázdný řádek Přidat (zkopíruje se pouze název oddílu) a je zde i pohodlnější funkce pro rušení či obnovu smazaných řádků - Vymazat.

Materiál označený k vymazání, lze skrýt odškrtnutím ovladače [image], zpětně je zobrazíte zaškrtnutím tohoto ovladače.

Pokud chcete materiál z aktivního oddílu obsaženého v zakázce vytisknout, aniž by bylo nutné tisknout obsah jiného oddílu, použijte ikonu [image] . Ta otevře okno tisku sestav rozpočtu, ale přístupná bude jen možnost tisku oddílu.


Tisk oddílu ze zakázky

Pokud chcete materiál z aktivního oddílu obsaženého v zakázce vytisknout, aniž by bylo nutné tisknout obsah jiného oddílu, použijte ikonu [image] v okně editace materiálu. Ta otevře okno tisku sestav rozpočtu, ale přístupná bude jen možnost tisku oddílu.


Součtová tabulka

Součtová tabulka dává přehled o cenách v aktuální zakázce prováděného rozpočtu a je organizována po oddílech. Poslední řádek (tučné písmo) v tabulce obsahuje součty sloupců. Vpravo dole je tedy červeně uveden celkový součet materiálu a práce v aktivním rozpočtu.

Okno součtové tabulky lze zobrazit / skrýt s použitím nabídky [image] v tzv. rychlém menu programu.

V dolní části tabulky jsou informace a ovladače, které umožňují tyto funkce:

Obsah okna lze ovládat tak, aby si obsluha mohla zvolit co chce v okně zobrazit. Zaškrtnutím ovladače [image] se v tabulce zobrazí jen obsazené oddíly. V případě nezaškrtnutého ovladače

jsou vidět všechny oddíly, takže obsluha může posoudit, které oddíly jsou již v zakázce obsaženy a které tam ještě nejsou.

Oblast "Zrušené položky" ukazuje jednak počet označených položek ke zrušení, možnost zobrazování (a tím i počítání) těchto položek v zakázce a ovladač Vymazat na jednorázové a nenávratné vymazání označených položek. Před vymazáním jsou však všechny položky určené k vymazání zobrazeny v okně Rušení dat v zakázce

Ovladač s šipkami zajistí automatické nastavení výšky okna tak, aby v něm byly zobrazeny všechny povolené oddíly.

Ovladač tiskárny umožňuje tuto tabulku vytisknout, přes okno Tisk rozpočtu


Rušení dat v zakázce

Způsob rušení materiálu v zakázce je postaven na tzv. dvoustupňovém rušení. Nejprve materiál, který chcete ze zakázky odstranit označíte v okně prohlížení a editace zakázky tím, že se označí levé okénko v rušeném řádku, čímž řádek zezelená. Uživatel má takto možnost zjistit i novou cenu, v případě, že některý z materiálu v zakázce označí na zrušení.

Všechen materiál v zakázce takto označený se zobrazí právě v okně rušení dat zakázky a uživatel si může uvědomit, který materiál vlastně ruší. Teprve potvrzením ovladače Zrušit materiál bude materiál ze zakázky skutečně vymazán.


Indexace cen v zakázce

Indexace zakázky umožňuje realizovat drobné změny cen v aktivní zakázce. Z technických důvodů se neeviduje historie indexování cen v zakázce, ale je vždy platná poslední hodnota indexace. Znamená to, že index vybraného oddílu v zakázce, resp. všech oddílů v zakázce je prováděn tak, že se všechny položky podělí starou hodnotou indexu a pak vynásobí novou hodnotou. Výběr oddílu k indexaci se provádí prostým kliknutím na jeho název v zobrazeném seznamu.


Editace - Kopírování

Editace textů a kopírování

K provádění změn s využitím klasických "windows" kláves, jak se používají ve většině aplikací pro windows, jsou do menu Zpracování vloženy funkce pro kopírování a výběr textů.

Jednotlivé řádky tohoto menu jsou přístupny podle okamžité dispozice možnosti vymazání, kopírování, vkládání apod. funkcí. Většinou je využijete při editaci textů názvů materiálu. S jejich pomocí také můžete přenášet údaje mezi programem WinRZ850 a ostatními aplikacemi případně naopak. Ve většině tabulek je povoleno kopírování a přenášení dat jen jedné položky.


Úprava cen v zakázce

Většina materiálu v oddílech může mít přidělené třídící číslo - tzv. ceníkovou položku. Protože se můžete k zakázce vrátit i po několika měsících, kdy již aktuální ceny mohou být jiné. Máte možnost provést aktualizaci starých cen v zakázce podle aktuálních cen v oddílech. Předpokladem úspěšnosti této funkce je přidělování jedinečných čísel ceníkových položek tak, jak tomu bylo v minulosti číslováním podle normy URS 850.


Konverze zakázky do normu URS-850

Konverze zakázky do normy URS-800

Tato funkce umožňuje provádět konverzi dat aktuální zakázky do zakázky pro program WinRZP800. Pro konvertovanou zakázku je nutné stanovit správné údaje přesunu hmot podle konvence programu WinRZP800. Konvertovaná zakázka se automaticky umístní do podadresáře Zakazky programu WinRZP800. Před konverzí se kontroluje existence zakázky stejného jména v podadresáři \WinRZP800\ZAKAZKY\. V programu WinRZP800 je pak nutné provést úpravu cen zakázky.

POZOR!

Pro správnost konvertované zakázky je nutné, aby oba programy WinRZP800 i WinRZP800 obsahovaly stejné názvy oddílů.


Editace hlavičky zakázky

Pro každou zakázku lze upravovat společné údaje o zakázce tzv. hlavičku zakázky. Po uzavření okna editace budou údaje o zakázce uloženy na disk a současně budou aktualizovány údaje v součtové tabulce zakázky.


Změny v oddílech

Rozsáhlé menu umožňuje vybrat jednu z nabízených činností se zavedenými oddíly.

Doporučuje se pracovat s oddílem, který není aktivní!


Přidání oddílu

Přidáním oddílu vytvoříte nový databázový soubor, do něhož můžete vkládat materiál. Obecně je vhodné materiál dělit do několika skupin - oddílů a proto je povolené přidávat oddíly jen jiného názvu, než který je již v programu použit. K zavedenému oddílu stanovte ceny přesunu hmot do definované výše. Tyto ceny můžete kdykoliv později měnit v úpravách přesunu hmot.

Materiál do nově vytvořeného oddílu můžete také načíst z Ptáčkova ceníku - viz Aktualizace oddílu


Aktualizace oddílu

Kterýkoliv zavedený oddíl materiálu můžete aktualizovat a doplňovat z jiných zdrojů dat. V současné verzi programu lze načítat materiál z nejnovější verze Ptáčkova ceníku, který umí exportovat data do struktury *.CSV. K provedení načtení dat je však nutné mít na počítači nainstalován program EXCEL.

Máte-li k dispozici elektronickou podobu vhodného ceníku, kontaktujte autora programu, aby mohl zpracovat vstupní filtr k načítání dat.


Zrušení oddílu

Zrušením oddílu se provede jeho vymazání ze seznamu a dál není možné provádět výběr materiálu do zakázek. Pokud je potvrzena nabídka "zálohovat zrušený oddíl", bude oddíl okopírován do podadresáře ZALOHA, který se vytvoří v adresáři ODDILY.

! POZOR !

Jakmile odstraníte oddíl ze seznamu, nebude vidět materiál z tohoto oddílu ani ve starých zakázkách. Proto provádějte rušení oddílu uvážlivě.


Třídění údajů v oddílu

Údaje v jednotlivých oddílech je možné v okně výběru materiálu do zakázky setřídit podle názvu nebo ceníkové položky. Občas je vhodné data v oddílech přetřídit, aby byl materiál správně setříděn.

Funkce není možná při práci v síti, při sdílení oddílu více uživateli.


Editace oddílu

V tomto okně můžete lehce provádět změny textů, cen i hmotnosti stejným způsobem, jak se provádí v zakázce. Všechny změny se ihned zaznamenávají na disk a proto nehrozí žádná ztráta údajů.

Ovladačem Přidat záznam se do oddílu přidá jeden nový řádek, jehož obsah si sami určíte.

Ovladačem Kopírovat záznam se zkopíruje označený řádek s materiálem na konec souboru, jako poslední řádek.

Rušení materiálu v oddílech se provádí klepnutím na bílý obdélníček v levé části řádku, přičemž tento obdélníček zčerná. Tím byl materiál v oddílu označen ke zrušení. Jeho obnovu docílíte stejným postupem, tedy klepnutím na černý obdélníček, čímž zbělá. Označený materiál nenávratně z oddílu vymažete potvrzením ovladače Vymazat zrušené položky.


Doplnění oddílu

Funkce umožňuje připojit k existujícímu oddílu data ze souboru *.DBF, který obsahuje potřebné materiálové údaje a má předepsanou strukturu. Program sám kontroluje správnost struktury zdroje dat. Můžete tak slučovat několik oddílů dohromady, případně získat data předepsané struktury od jiných uživatelů programu WinRZP850.


Pořadí oddílu

Pořadí oddílů

Okno umožní definovat pořadí oddílů, jak se mají vypisovat v tisku "Rekapitulace" a v "Součtové tabulce".


Přejmenování názvu oddílu v oddílech

Přejmenováním názvu vybraného oddílu v seznamu oddílů získáváte možnost upravit si názvy oddílů podle potřeby v průběhu provozování programu WinRZP850. Při tomto přejmenování je však nutné počítat s tím, že název oddílu, který měníte nebude změněn ve všech doposud zhotovených zakázkách a bude nutné jej také změnit funkcí přejmenování názvu oddílu v zakázce.

Poznámka:

Tuto funkci můžete též využít pro případ získání datového souboru oddílu od jiných uživatelů programu, ale mají jiný název oddílu.


Přejmenování názvu oddílu v zakázce

Přejmenováním názvu vybraného oddílu v seznamu oddílů použitých v zakázce získáváte možnost spravit název oddílu, který byl dříve nazván jinak.

Funkci můžete vhodně kombinovat s funkcí přejmenování názvu oddílu v oddílech.

Poznámka:

Tuto funkci můžete též využít pro případ získání zakázky od jiných uživatelů programu, ale mají jiné názvy oddílů.


Úpravy přesunu hmot

Úpravy přesunu hmot a hrubého rozpětí

Okno umožní editovat hodnoty přesunů hmot u všech oddílů. Úprava spočívá v prostém přepsání údaje. Po zavření okna je cena aktuální zakázky přepočítána podle nových hodnot přesunu hmot.


Archivace / obnova dat v programu

Okno umožňuje archivovat a zpětně obnovovat data oddílů i zakázek na diskety či do adresářů.


Archivace zakázek

Každá zakázka je uložena v souborech s příponami *.DBF, *.INF a pokud byla zakázka indexována tak i v souboru s příponou *.INX.

Zálohováním se provede kopie uvedených souborů do nastaveného cílového adresáře. Z důvodu přehlednosti a také rychlosti otvírání nabídkových oken při výběru zakázky se doporučuje udržovat počet souborů v pracovním adresáři na hodnotě do 500.


Obnova zakázek

Každá zakázka je uložena v souborech s příponami *.DBF, *.INF a pokud byla zakázka indexována tak i v souboru s příponou *.INX.

Obnova zakázek se provede tak, že se z nastaveného adresáře zkoupírují všechny soubory do adresáře Zakazky. Z důvodu přehlednosti a také rychlosti otvírání nabídkových oken při výběru zakázky se doporučuje udržovat počet souborů v pracovním adresáři na hodnotě do 500.

POZOR !

Všechny dosavadní zakázky budou v pracovním adresáři zachovány. Pokud se vyskytne zakázka stejného jména, budete vyzvání k povolení jejímu případnému přepsání.


Archivace oddílů

Každý oddíl je uložen v souborech s příponami *.DBF a *.CDX. Seznam všech používaných oddílů je uveden v souboru ODDILY.DBF. Pro evidenci indexování oddílů je použit soubor INDEX.DBF a pomocné soubory s příponami *.CDX a *.FPT.

Zálohováním se provede kopie uvedených souborů do nastaveného cílového adresáře.


Obnova oddílů

Každý oddíl je uložen v souborech s příponami *.DBF a *.CDX. Seznam všech používaných oddílů je uveden v souboru ODDILY.DBF. Pro evidenci indexování oddílů je použit soubor INDEX.DBF a pomocné soubory s příponami *.CDX a *.FPT.

Obnovou se provede kopie uvedených souborů ze zdrojového adresáře do pracovního adresáře.

POZOR !

Všechny dosavadní oddíly budou z pracovního adresáře vymazány.


Nastavení parametrů programu

Okno má několik záložek, v nich se nastavují souhrnné parametry a prostředí programu.


Nastavení parametrů programu - záložka Obecné

V záložce se nastavují popsané údaje dle potřeby. Především výběr adresářů pro zakázky a oddíly umožní pohodlnou orientaci v mnoha zakázkách, které je možné takto členit i do dalších adresářů.


Nastavení parametrů programu - záložka Okna

Záložka umožní nastavit (zatržením) popsanou funkci. Nastavení se provádí prostým posunem myši za dělící čáru sloupce v prostoru hlavičky. Uložení aktuální šířky sloupců v jednotlivých oknech, kde je uveden materiál, se provede až po ukončení programu.


Nastavení parametrů programu - záložka Párová instalace WinRZP850

Nastavení parametrů programu - záložka Párová instalace WinRZP800

Pokud vlastníte párovou instalaci programu WINRZP800 vyhledejte jeho adresář, po uzavření okna se vám zpřístupní nabídka konverze do URS800.


Nastavení parametrů programu - záložka Nastavení barev

Pokud někomu nevyhovují nastavené barvy v tabulkách (především součtové tabulky a v okně hlavička zakázky), může si je zde změnit. Prostým klepnutím na ovladač dané funkce se zobrazí nabídka na výběr barvy). Program si bude nastavené hodnoty barev pamatovat i po ukončení.


Nastavení parametrů programu - záložka Práce v síti

Záložka umožní zápis jmen uživatelů v síťové verzi programu. Provozovat je možné jen tolik síťových uživatelů, kolik jich je zaregistrováno. Provoz síťové verze je specifický tím, že je možné současně pracovat se shodnými oddíly i pracovat na stejné zakázce. Není povoleno editovat stejný řádek materiálu dvěma uživatelům ve stejném čase.


Nastavení parametrů programu - záložka Export dat z DOS verze

Tato záložka slouží k načtení dat zakázek i oddílů z předchozí verze programu pro DOS. U zakázek lze převést všechny zakázky z vybraného adresáře nebo jen jednu zakázku. Oddíly se převádí vždy všechny najednou.

Převod z prostředí DOS programu Rozpočty.850 je nutný z důvodu jiného kódování češtiny.


Nápověda k programu Rozpočty 800

Nápověda k programu WinRZP850

Nápověda programu je řešena ve stylu windows nápovědy. Všechna okna mají tzv. kontextovou nápovědu, která se zobrazí po stisku klávesy F1. K většině ovladačů v oknech je k dispozici tzv. bublinková nápověda, což je kratičký vysvětlující text u ovladače, když se nad ním zastavíte myší. Hlavní nabídka - vodorovné menu, svislé nabídky - roletové menu, lokální nabídka a rychlé menu mají jednořádkovou nápovědu, která se zobrazuje v dolní části okna programu v tzv. stavovém řádku (místo registračního čísla instalace).


O aplikaci

Okno slouží k předání informací o uživateli programu, registračním čísle, verzí překladu programu, vývojovém prostředí a rozšiřujících modulech. V okně je zpřístupněn také přímý kontakt na autora programu, jeho e-mail i webové stránky.

Současně se v tomto okně zpřístupňuje okno registrace ostré verze a okno objednávky ostré verze programu.


Registrace programu

Registrační formulář slouží k registraci (přeměně) Trialverze programu na jeho ostrou verzi. Instalační číslo, které získáte od autora programu, zajistí převedení Trial verze programu na plnou instalaci, přičemž současně generuje registrační číslo. Dále umožňuje uživateli samostatně měnit "hlavičku" tisknutého rozpočtu s uvedením zhotovitele, neboť před každým vložením instalačního čísla je možné upravit text registrovaného uživatele.


Objednávka ostré verze programu

Připravený formulář Vám umožňuje jednoduše realizovat objednávku instalačního čísla, kterým převedete Trialverzi programu WinRZP850 na ostrou verzi, aniž by bylo nutné měnit instalaci či dokonce mazat data v adresářích Zakazky a Oddily. Data v objednávkovém formuláři jsou uložena do souboru Objednavka.DBF v domovském adresáři programu. Je tedy možné je kdykoliv upravovat a měnit. Vytištěnou objednávku zašlete na adresu autora programu, v návratce dostanete instalační číslo pro převedení Trialverze programu na ostrou verzi. Soubor Objednavka.DBF můžete také zaslat e-mailem. Zpět Vám bude zasláno instalační číslo a následně poštou návratka pro dokumentační potřebu.


Tisk objednávky

Tuto objednávku vytisknete kliknutím na ikonu tiskárny [image]. Formulář nemusíte tisknout, lze zaslat elektronickou cestou - e-mailem. Soubor "Objednavka.dbf" najdete v domovském adresáři programu.


Interaktivní simulace výpočtu ceny

Toto okno Vám pomůže objasnit způsob výpočtu konečné ceny zakázky. Norma URS800 stanovuje pro vybraný typ materiálu jednu jedinou cenu - cena dodávky. V ní je zahrnuta jak cena za materiál tak i cena za montáž. V celém rozpočtu se jako další cena počítá jen cena za manipulaci s materiálem tzv. přesun hmot podle výše dopravovaného materiálu.

V okně je možné měnit údaje:

- cena dodávky,

- váha materiálu,

- výška přesunu hmot (jen ve vybraných stupních),

- cena za přesun jedné tuny do zvolené výšky.

Postup výpočtu je vidět v dolní části okna. kliknutím na ovladače cena, cena za 1t. a hmotnot se význam údajů v prostoru výpočtu podbarví zeleně. Změna čísel v editačních oknech pak bezprostředně změní i vypočtené hodnoty.


Okno Chyby za běhu programu;

I přes veškerou snahu o vytvoření programu, který by pracoval bez chyb (to je snad jen vysoká teorie), je možné, že vznikne chyba. Program je vybaven systémem na odchycení a eliminaci chyb za běhu programu. Při vzniku chyby za běhu programu se zobrazí červené okno, které informuje o vzniklé chybě a zajistí případné ukončení programu bez ztráty dat.

Příčinu chyby můžete uložit do pomocného programu s názvem Chybax.dbf, ke x se postupně zvětšuje .

Pokud by chyby vznikaly často, zašlete tyto soubory na adresu autora programu, aby zjednal nápravu.


Spojení na autora programu

Veškeré problémy spojené s užíváním programu WinRZP850 konzultujte s autorem programu.

Internet: | www.jalsoft.iol.cz
e-mail: | vyvoj@jalsoft.iol.cz
mobil: | 420 603 258 609

Brno 22.01.2005


Menu - Lokální nabídka

Lokální menu se zobrazí kliknutím pravou myší na tmavošedé pozadí.

Z tohoto menu si můžete rychle vybrat požadovanou činnost.


Úprava přepisovaného materiálu

Rozšířené okno přepisu materiálu do zakázky umožňuje upravovat všechny viditelné údaje a následně rozhodnout, kam tyto změny zapsat.

- Zapsat do zakázky - upraven á data materiálu budou zapsané jen do zakázky.

- Upravit jen v oddílech - údaje se opraví jen v oddílu, do zakázky se nic nezapíše.

- Upravit a zapsat - zajistí činnost obou předchozích nabídek. Následná činnost je povolena jen ovladačem "Provést" nebo "Zrušit okno".